<!DOCTYPE html>
<html>
  <head>
    <title>Functions Exercises</title>
  </head>
  <body>
    <script>
      function greet(name = 'Hi there!' ) {
        console.log(`Hello! ${name}`);
      }

      greet('Vaishnavi');
      greet('Krutika');
      greet('Srushti');
      greet();

      
      function convertToFahrenheit(celsius) {
        return (celsius * 9 / 5) + 32;
      }
      console.log(convertToFahrenheit(25));

      function convertToCelsius(fahrenheit){
        return (fahrenheit - 32) * 5/9;
      }
      console.log(convertToCelsius(86));

      function convertTemperature(degrees, unit) {
        if (unit === 'C') {
          const result = convertToFahrenheit(degrees);
          return `${result}F`;
        } else if (unit === 'F') {
          const result = convertToCelsius(degrees);
          return `${result}C`;
        }
      }

      console.log(convertTemperature(25, 'C'));
      console.log(convertTemperature(86, 'F'));
    
    </script>
  </body>
</html>